Package fr.gouv.vitam.logbook.common.parameters

# Interface LogbookParameters

All Superinterfaces:
  `VitamParameter<LogbookParameterName>`

All Known Implementing Classes:
  `LogbookLifeCycleObjectGroupParameters`, `LogbookLifeCycleParameters`, `LogbookLifeCycleUnitParameters`, `LogbookOperationParameters`

public interface LogbookParameters extends VitamParameter<LogbookParameterName>
Logbook parameters

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LocalDateTime`
  `getEventDateTime()`
  The EventDateTime is set by the Logbook methods during creation or append
  `String`
  `getParameterValue(LogbookParameterName parameterName)`
  Get the parameter according to the parameterName
  `StatusCode`
  `getStatus()`
  Get the outcome status
  `LogbookTypeProcess`
  `getTypeProcess()`
  Get the process type
  `LogbookParameters`
  `putParameterValue(LogbookParameterName parameterName, String parameterValue)`
  Put parameterValue on mapParamaters with parameterName key
  If parameterKey already exists, the override it (no check)
  `LogbookParameters`
  `setBeginningLog(String handlerId, String subTaskId, String additionalMessage, String... params)`
  Update the current LogbookParameters with status and message
  `LogbookParameters`
  `setFinalStatus(String handlerId, String subTaskId, StatusCode code, String additionalMessage, String... params)`
  Update the current LogbookParameters with status and message
  `LogbookParameters`
  `setFromParameters(LogbookParameters parameters)`
  Set from another LogbookParameters
  `LogbookParameters`
  `setMap(Map<String,String> map)`
  Set from map using String as Key
  `LogbookParameters`
  `setStatus(StatusCode outcome)`
  Set the outcome status
  `LogbookParameters`
  `setTypeProcess(LogbookTypeProcess process)`
  Set the process type

  ### Methods inherited from interface fr.gouv.vitam.common.parameter.VitamParameter

  `getMandatoriesParameters, getMapParameters`

- ## Method Details

  - ### getEventDateTime

    LocalDateTime getEventDateTime()
    The EventDateTime is set by the Logbook methods during creation or append
    Returns:
      the associated EventDateTime if set (or null if not set yet)

  - ### setStatus

    LogbookParameters setStatus(StatusCode outcome)
    Set the outcome status
    Parameters:
      `outcome` -
    Returns:
      this

  - ### getStatus

    StatusCode getStatus()
    Get the outcome status
    Returns:
      the status (or null if not set yet)
    Throws:
      `IllegalArgumentException` - if the status is with incorrect value

  - ### setTypeProcess

    LogbookParameters setTypeProcess(LogbookTypeProcess process)
    Set the process type
    Parameters:
      `process` - process type
    Returns:
      this

  - ### getTypeProcess

    LogbookTypeProcess getTypeProcess()
    Get the process type
    Returns:
      the process type (or null if not set yet)
    Throws:
      `IllegalArgumentException` - if the process type is with incorrect value

  - ### putParameterValue

    LogbookParameters putParameterValue(LogbookParameterName parameterName, String parameterValue)
    Put parameterValue on mapParamaters with parameterName key
    If parameterKey already exists, the override it (no check)
    Parameters:
      `parameterName` - the key of the parameter to put on the parameter map
      `parameterValue` - the value to put on the parameter map
    Returns:
      actual instance of LogbookParameters (fluent like)
    Throws:
      `IllegalArgumentException` - if the parameterName is null or if the parameterValue cannot be null or empty

  - ### getParameterValue

    String getParameterValue(LogbookParameterName parameterName)
    Get the parameter according to the parameterName
    Parameters:
      `parameterName` -
    Returns:
      the value or null if not found
    Throws:
      `IllegalArgumentException` - if the parameterName is null

  - ### setMap

    LogbookParameters setMap(Map<String,String> map)
    Set from map using String as Key
    Parameters:
      `map` -
    Returns:
      this

  - ### setFromParameters

    LogbookParameters setFromParameters(LogbookParameters parameters)
    Set from another LogbookParameters
    Parameters:
      `parameters` -
    Returns:
      this

  - ### setFinalStatus

    LogbookParameters setFinalStatus(String handlerId, String subTaskId, StatusCode code, String additionalMessage, String... params)
    Update the current LogbookParameters with status and message
    Parameters:
      `handlerId` - the Handler Id
      `subTaskId` - the subTask Id if any (may be null)
      `code` - the Status CodeAdminManagementClientRestTest
      `additionalMessage` - the additional message (as " Details= ...") if any (may be null)
      `params` - the additional parameters for the message if any (may be null)
    Returns:
      this

  - ### setBeginningLog

    LogbookParameters setBeginningLog(String handlerId, String subTaskId, String additionalMessage, String... params)
    Update the current LogbookParameters with status and message
    Parameters:
      `handlerId` - the Handler Id
      `subTaskId` - the subTask Id if any (may be null)
      `additionalMessage` - the additional message (as " Details= ...") if any (may be null)
      `params` - the additional parameters for the message if any (may be null)
    Returns:
      this